Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
app_users
/
{app_user_id}
/
credentials
ListAppUserCredentials
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppUser.ListAppUserCredentials(ctx, operations.C1APIAppV1AppUserServiceListAppUserCredentialsRequest{
        AppID: "<id>",
        AppUserID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.AppUserServiceListCredentialsResponse != nil {
        // handle response
    }
}
{
  "list": [
    {
      "appId": "<string>",
      "appUserId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "encryptedData": {
        "description": "<string>",
        "encryptedBytes": "aSDinaTvuI8gbWludGxpZnk=",
        "keyId": "<string>",
        "name": "<string>",
        "provider": "<string>",
        "schema": "<string>"
      },
      "expiresAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app that the user belongs to.

app_user_id
string
required

The ID of the app user whose credentials to list.

Query Parameters

page_size
integer<int32>

The maximum number of results to return per page.

page_token
string

The token for fetching the next page of results.

Response

200 - application/json

The response message for listing credentials of an app user.

The response message for listing credentials of an app user.

list
App User Credential · object[] | null

The list of credential results.

nextPageToken
string

The token for fetching the next page of results.